#version 430

layout (binding = 0) uniform sampler2D colorSamp;
layout (binding = 1) uniform sampler2D ssaoSamp;

uniform bool useSSAO;

in vec2 varTex;

out vec4 color;

void main()
{
    if(useSSAO)
    {
        color = vec4(texture(colorSamp, varTex).xyz * (texture(ssaoSamp, varTex).r + 0.5), 1.0);
    }
    else
    {
        color = vec4(texture(colorSamp, varTex).xyz, 1.0);
    }
}  